function battle_ai046(npcID)  --纸马
	local sg=flag.GetBattleValue(12700)
	if sg==0 then
		local ar=battle.GetRndNumber(1,10)
		if ar==1 then
			flag.SetBattleValue(12700,1)
			ui.Popo_Auto(86806,1,npcID,3,0) --竟然有人闯进幻境了吗？咦，还有个蜀山弟子？--竟然有人闯进幻境了吗？咦，还有个蜀山弟子？
			global.WaitForPopo()
		elseif ar==2 or ar==10 then
			flag.SetBattleValue(12700,1)
			ui.Popo_Auto(86807,1,npcID,3,0) --你们熟悉五灵的相生相克吗？不熟的话最好去温习一下，不然待会得吃苦头了~--你们熟悉五灵的相生相克吗？不熟的话最好去温习一下，不然待会得吃苦头了~
			global.WaitForPopo()
		elseif ar==3 then
			flag.SetBattleValue(12700,1)
			ui.Popo_Auto(86808,1,npcID,3,0) --水克火，火克雷，雷克风……风生火，火生土，土生……生……生啥？--水克火，火克雷，雷克风……风生火，火生土，土生……生……生啥？
			global.WaitForPopo()
		end
	end 	
	
	n=flag.GetBattleValue(12046)
    if n~=3 then
		a=battle.GetRndNumber(1,10)
		if a>=1 and a<=3 then
			n=n+1
			flag.SetBattleValue(12046,n)
			id = battle.GetRndPlayer()
			if id==128 and battle.CheckNpcStat(npcID,734)==1 and battle.CheckPlayerStat(128,735)==1 and battle.GetRndNumber(1,10)<=3 then
                battle.SetDamageScale(9999)
				player.RemoveStat(0,64,731)
			end
			battle.AtkToPlayer(id,1)     --普通攻击
		elseif a>=4 and a<=6 then
			id = battle.GetRndPlayer()
			battle.SetDamageScale(1.5)
			if id==128 and battle.CheckNpcStat(npcID,734)==1 and battle.CheckPlayerStat(128,735)==1 and battle.GetRndNumber(1,10)<=3 then
                battle.SetDamageScale(9999)
				player.RemoveStat(0,64,731)
			end
			battle.AtkToPlayer(id,2)     --2号攻击
			n=n+1
			flag.SetBattleValue(12046,n)
		elseif a>=7 and a<=8 then
		    id = battle.GetRndNpc()
		    battle.MagicToNpc(id,1042,1)   --法术
		    flag.SetBattleValue(12046,0)
			--flag.SetBattleValue(12817,2)
		else
			id = battle.GetRndPlayer()
			if battle.CheckNpcStat(npcID,734)==1 then
			dead=1
			else
			dead=0
			end
			battle.MagicToPlayer(id,1042,1)
			flag.SetBattleValue(12046,0) 
	    end
	 
    else
		a=battle.GetRndNumber(1,2)
		if a==1 then
			id = battle.GetRndPlayer()
			if battle.CheckNpcStat(npcID,734)==1 then
			dead=1
			else
			dead=0
			end
			battle.MagicToPlayer(id,1042,1)
			flag.SetBattleValue(12046,0)
		else 
			id = battle.GetRndNpc()
	        battle.MagicToNpc(id,1042,1)   --法术
	        flag.SetBattleValue(12046,0)
			--flag.SetBattleValue(12817,2)
		end
	end
end
